libzypp 17.37.10

zypp::target::rpm::KeyRingSignals Struct Reference

Internal connection to rpm database. More...

`#include <zypp/KeyRing.h>`

Inheritance diagram for zypp::target::rpm::KeyRingSignals:

## Additional Inherited Members
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType
Public Member Functions inherited from zypp::KeyRingSignals
virtual void | trustedKeyAdded (const PublicKey &)
virtual void | trustedKeyRemoved (const PublicKey &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Internal connection to rpm database.

Not for public use.

Definition at line 329 of file KeyRing.h.

The documentation for this struct was generated from the following file:

- zypp/KeyRing.h